iir1: Iir::Butterworth::LowPass< FilterOrder, StateType > Struct Template Reference

iir1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Iir::Butterworth::LowPass< FilterOrder, StateType > Struct Template Reference

`#include <Butterworth.h>`

Inheritance diagram for Iir::Butterworth::LowPass< FilterOrder, StateType >:

## Public Member Functions
void | setup (double sampleRate, double cutoffFrequency)
void | setup (int reqOrder, double sampleRate, double cutoffFrequency)
void | setupN (double cutoffFrequency)
void | setupN (int reqOrder, double cutoffFrequency)
Public Member Functions inherited from Iir::CascadeStages< MaxStages, StateType >
void | reset ()
void | setup (const double(&sosCoefficients)[MaxStages][6])
template<typename Sample >
Sample | filter (const Sample in)
const Cascade::Storage | getCascadeStorage ()

## Detailed Description

template<int FilterOrder = 4, class StateType = DirectFormII>
struct Iir::Butterworth::LowPass< FilterOrder, StateType >

Butterworth Lowpass filter.

Parameters

  FilterOrder | Reserves memory for a filter of the order FilterOrder
  StateType | The filter topology: DirectFormI, DirectFormII, ...

## Member Function Documentation

## ◆ setup() [1/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::Butterworth::LowPass< FilterOrder, StateType >::setup | ( | double | sampleRate,
|  | double | cutoffFrequency
| ) |  |
| inline

Calculates the coefficients

Parameters

  sampleRate | Sampling rate
  cutoffFrequency | Cutoff

## ◆ setup() [2/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::Butterworth::LowPass< FilterOrder, StateType >::setup | ( | int | reqOrder,
|  | double | sampleRate,
|  | double | cutoffFrequency
| ) |  |
| inline

Calculates the coefficients

Parameters

  reqOrder | The actual order which can be less than the instantiated one
  sampleRate | Sampling rate
  cutoffFrequency | Cutoff

## ◆ setupN() [1/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::Butterworth::LowPass< FilterOrder, StateType >::setupN | ( | double | cutoffFrequency | ) |
| inline

Calculates the coefficients

Parameters

  cutoffFrequency | Normalised cutoff frequency (0..1/2)

## ◆ setupN() [2/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::Butterworth::LowPass< FilterOrder, StateType >::setupN | ( | int | reqOrder,
|  | double | cutoffFrequency
| ) |  |
| inline

Calculates the coefficients

Parameters

  reqOrder | The actual order which can be less than the instantiated one
  cutoffFrequency | Normalised cutoff frequency (0..1/2)

The documentation for this struct was generated from the following file:

- iir/Butterworth.h